/*
 * @Author: zengzhe
 * @Date: 2023-01-05 16:59:53
 * @LastEditors: zengzhe
 * @LastEditTime: 2023-01-05 16:59:58
 * @Description:
 */
module.exports = {
  root: true,
  env: {
    node: true,
  },
  globals: {
    Cropper: true,
    BMap: true,
  },
  extends: ['plugin:vue/essential', 'eslint:recommended', '@vue/prettier'],
  plugins: ['vue', 'prettier'],
  parserOptions: {
    parser: 'babel-eslint',
  },
  rules: {
    'prettier/prettier': 'error',
    'no-console': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    eqeqeq: 'off', // 关闭===代替==的告警
    'no-loop-func': 'off', // 关闭，禁止在循环中出现 function 声明和表达式
    'no-script-url': 'off', // 关闭a标签href无url的告警
    'vue/script-setup-uses-vars': 'off',
    'vue/multi-word-component-names': 'off',
    'vue/no-mutating-props': 'off',
    'vue/no-useless-template-attributes': 'off',
    semi: [0, 'never'], // 允许使用分号
    quotes: [1, 'single'],
    'space-before-function-paren': 0,
    'eol-last': 0,
    'no-unused-vars': [2, { vars: 'all', args: 'after-used' }], //不能有声明后未被使用的变量或参数
    'arrow-parens': [2, 'as-needed'], // 箭头函数如果只有一个参数不需要括号
  },
}
